;-| AI用 |---------------------------------------------------------
[Command]
name = "AI_01"
command = a,a,a,a,a,a,a,a,a,a
time = 0

[Command]
name = "AI_02"
command = b,b,b,b,b,b,b,b,b,b
time = 0

[Command]
name = "AI_03"
command = c,c,c,c,c,c,c,c,c,c
time = 0

[Command]
name = "AI_04"
command = x,x,x,x,x,x,x,x,x,x
time = 0

[Command]
name = "AI_05"
command = y,y,y,y,y,y,y,y,y,y
time = 0

[Command]
name = "AI_06"
command = z,z,z,z,z,z,z,z,z,z
time = 0

[Command]
name = "AI_07"
command = a,a,a,a,a,a,a,a,a,a
time = 0

[Command]
name = "AI_08"
command = b,b,b,b,b,b,b,b,b,b
time = 0

[Command]
name = "AI_09"
command = c,c,c,c,c,c,c,c,c,c
time = 0

[Command]
name = "AI_10"
command = x,x,x,x,x,x,x,x,x,x
time = 0

[Command]
name = "AI_11"
command = y,y,y,y,y,y,y,y,y,y
time = 0

[Command]
name = "AI_12"
command = z,z,z,z,z,z,z,z,z,z
time = 0

[Command]
name = "AI_13"
command = a,a,a,a,a,a,a,a,a,a
time = 0

[Command]
name = "AI_14"
command = b,b,b,b,b,b,b,b,b,b
time = 0

[Command]
name = "AI_15"
command = c,c,c,c,c,c,c,c,c,c
time = 0

[Command]
name = "AI_16"
command = x,x,x,x,x,x,x,x,x,x
time = 0

[Command]
name = "AI_17"
command = y,y,y,y,y,y,y,y,y,y
time = 0

[Command]
name = "AI_18"
command = z,z,z,z,z,z,z,z,z,z
time = 0

[Command]
name = "AI_19"
command = a,a,a,a,a,a,a,a,a,a
time = 0

[Command]
name = "AI_20"
command = b,b,b,b,b,b,b,b,b,b
time = 0

[Command]
name = "AI_21"
command = c,c,c,c,c,c,c,c,c,c
time = 0

[Command]
name = "AI_22"
command = x,x,x,x,x,x,x,x,x,x
time = 0

[Command]
name = "AI_23"
command = y,y,y,y,y,y,y,y,y,y
time = 0

[Command]
name = "AI_24"
command = z,z,z,z,z,z,z,z,z,z
time = 0

[Command]
name = "AI_25"
command = a,a,a,a,a,a,a,a,a,a
time = 0

[Command]
name = "AI_26"
command = b,b,b,b,b,b,b,b,b,b
time = 0

[Command]
name = "AI_27"
command = c,c,c,c,c,c,c,c,c,c
time = 0

[Command]
name = "AI_28"
command = x,x,x,x,x,x,x,x,x,x
time = 0

[Command]
name = "AI_29"
command = y,y,y,y,y,y,y,y,y,y
time = 0

[Command]
name = "AI_30"
command = z,z,z,z,z,z,z,z,z,z
time = 0

;-| 超必殺技 |---------------------------------------------------------

[Command]
name = "red"
command = ~D,DF,F,y+z
time = 25

[Command]
name = "blue"
command = ~D,DB,B,y+z
time = 25

[Command]
name = "blaze"
command = ~D,B,D,F,y
time = 40

[Command]
name = "megido"
command = ~D,F,D,B,y
time = 40

[Command]
name = "Armor"
command = ~F,B,D,F,y
time = 30

[Command]
name = "judge"
command = ~D,B,D,B,y
time = 30

[Command]
name = "breath"
command = ~D,F,D,F,y
time = 30

[Command]
name = "cross"
command = ~F,D,B,F,D,B,y
time = 50

[Command]
name = "shinketusyu"
command = ~D,B,D,F,z
time = 40

[Command]
name = "canon"
command = ~D,F,D,B,z
time = 40

[Command]
name = "ボクの名前を言ってみて"
command = ~F, D, B, F, D, B, z
time = 50

[Command]
name = "ボクの名前を言ってみて･派生"
command = ~D, DF, F, z
time = 20

[Command]
name = "ujou"
command = ~D,F,D,F,z
time = 30

[Command]
name = "danko"
command = ~F,D,B,F,z
time = 30

[Command]
name = "musou"
command = ~D,B,D,B,z
time = 30

[Command]
name = "kiseki"
command = ~a,a,B,b,c
time = 45

[Command]
name = "hikari_C"
command = ~F,B,D,F,c
time = 30

[Command]
name = "hikari_B"
command = ~F,B,D,F,b
time = 30

[Command]
name = "hikari_A"
command = ~F,B,D,F,a
time = 30

[Command]
name = "eien_C"
command = ~D,B,D,B,c
time = 30

[Command]
name = "eien_B"
command = ~D,B,D,B,b
time = 30

[Command]
name = "eien_A"
command = ~D,B,D,B,a
time = 30

[Command]
name = "guruhane_C"
command = ~D,F,D,F,c
time = 30

[Command]
name = "guruhane_B"
command = ~D,F,D,F,b
time = 30

[Command]
name = "guruhane_A"
command = ~D,F,D,F,a
time = 30

;-|  必殺技  |---------------------------------------------------------

[Command]
name = "taiyaki_C"
command = ~D,DB,B,c
time = 15

[Command]
name = "taiyaki_B"
command = ~D,DB,B,b
time = 15

[Command]
name = "taiyaki_A"
command = ~D,DB,B,a
time = 15

[Command]
name = "arrow_C"
command = ~F,D,DF,c
time = 20

[Command]
name = "arrow_B"
command = ~F,D,DF,b
time = 20

[Command]
name = "arrow_A"
command = ~F,D,DF,a
time = 20

[Command]
name = "doite_C"
command = ~D,DF,F,c
time = 15

[Command]
name = "doite_B"
command = ~D,DF,F,b
time = 15

[Command]
name = "doite_A"
command = ~D,DF,F,a
time = 15

[Command]
name = "IC"
command = ~D,D,c
time = 15

[Command]
name = "IC"
command = z
time = 15

;-| キー２回連続入力 |---------------------------------------------------------
[Command]
name = "FF"     ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = F, F
time = 10

[Command]
name = "BB"     ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = B, B
time = 10

;------------------------------------------------------------------------------
;-| 復活用 |-----------------------------------------------------------------
[Command]
name = "recovery"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = a
time = 1

[Command]
name = "recovery"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = b
time = 1

[Command]
name = "recovery"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = c
time = 1

[Command]
name = "recovery"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = x
time = 1

[Command]
name = "recovery"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = y
time = 1

[Command]
name = "recovery"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = z
time = 1

;------------------------------------------------------------------------------
;------------------------------------------------------------------------------
;-| ボタン単発 |---------------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[command]
name = "fwd"
command = F
time = 1

[command]
name = "back"
command = B
time = 1

[command]
name = "up"
command = U
time = 1

[command]
name= "down"
command = D
time = 1

;------------------------------------------------------------------------------
;------------------------------------------------------------------------------
;-| ボタン押しっぱなし |---------------------------------------------------------------
[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdy"
command = /y
time = 1

[Command]
name = "holdz"
command = /z
time = 1

[Command]
name = "holdstart"
command = /s
time = 1

;------------------------------------------------------------------------------
;-| 方向キー押しっぱなし |-----------------------------------------------------
[Command]
name = "holdfwd"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$F
time = 20

[Command]
name = "holdback"  ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$B
time = 20

[Command]
name = "holdup"    ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$U
time = 20

[Command]
name = "holddown"  ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$D
time = 20

[Command]
name = "Upper"
command = $U
time = 1

[Command]
name = "Downer"
command = $D
time = 1

[Command]
name = "Fronter" 
command = $F
time = 1

[Command]
name = "Backer"
command = $B
time = 1

;------------------------------------------------------------------------------
;次の行は消さないように。動作しなくなります。
[Statedef -1]
;------------------------------------------------------------------------------
;青白き世界への導き
[State -1]
type = ChangeState
value = 36500
triggerall = Var(59) = 0
triggerall = command = "blue"
triggerall = Var(52) = 1
triggerall = Var(56) = 1
triggerall = Var(42) = 0
triggerall = Power >= 3000
triggerall = Var(51) = 1
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = 160

;------------------------------------------------------------------------------
;-1000000000000℃
[State -1]
type = ChangeState
value = 36600
triggerall = Var(59) = 0
triggerall = command = "blue"
triggerall = Var(42) <= -1000
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = 160

;------------------------------------------------------------------------------
;赤黒き世界への導き
[State -1]
type = ChangeState
value = 36000
triggerall = Var(59) = 0
triggerall = command = "red"
triggerall = Var(52) = 1
triggerall = Var(56) = 1
triggerall = Var(42) = 0
triggerall = Power >= 3000
triggerall = Var(51) = 1
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = 160

;------------------------------------------------------------------------------
;1000000000000℃
[State -1]
type = ChangeState
value = 36100
triggerall = Var(59) = 0
triggerall = command = "red"
triggerall = Var(42) >= 1000
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = 160

;------------------------------------------------------------------------------
;ジャッジメント
[State -1]
type = ChangeState
value = 35000
triggerall = Var(59) = 0
triggerall = Var(42) = 0 || Var(19) >= 2
triggerall = command = "judge"
triggerall = Var(56) = 1
triggerall = ctrl || Stateno = 160 || Movetype = H
triggerall = Alive
trigger1 = Var(33)%10 = 1
trigger2 = Var(33)/10%10 = 1
trigger3 = Var(33)/100%10 = 1
trigger4 = Var(33)/1000%10 = 1
trigger5 = Var(15) = 1
ignorehitpause = 1

;------------------------------------------------------------------------------
;ガンブレイズ
[State -1]
type = ChangeState
value = 32000
triggerall = Var(59) = 0
triggerall = command = "blaze"
triggerall = Power >= 1000
triggerall = Var(56) = 1
triggerall = Statetype != A
triggerall = NumHelper(32100) < 2 || Var(19) >= 2
trigger1 = ctrl
trigger2 = Stateno = 160
trigger3 = Stateno = [200,420]
trigger3 = Var(3) = [1,3]
trigger4 = Stateno = [1000,1700]
trigger4 = Var(3) = [1,3]
trigger4 = Pos Y >= 0

;------------------------------------------------------------------------------
;メギドラオン
[State -1]
type = ChangeState
value = 31000
triggerall = Var(59) = 0
triggerall = command = "megido"
triggerall = Power >= 3000
triggerall = Var(56) = 1
trigger1 = ctrl
trigger2 = Stateno = 160
trigger3 = Stateno = [200,630]
trigger3 = Var(3) = [1,3]
trigger4 = Stateno = [1000,2200]
trigger4 = Var(3) = [1,3]

;------------------------------------------------------------------------------
;セラフコート
[State -1]
type = ChangeState
value = 33000
triggerall = Var(59) = 0
triggerall = command = "Armor"
triggerall = Power >= 3000
triggerall = Var(56) = 1
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = 160

;------------------------------------------------------------------------------
;ドラゴンブレス
[State -1]
type = ChangeState
value = 30500
triggerall = Var(59) = 0
triggerall = command = "breath"
triggerall = Power >= 2000
triggerall = Var(56) = 1
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = 160
trigger3 = Stateno = [200,420]
trigger3 = Var(3) = [1,3]
trigger4 = Stateno = [1000,1700]
trigger4 = Var(3) = [1,3]
trigger4 = Pos Y >= 0

;------------------------------------------------------------------------------
;セイントクロス
[State -1]
type = ChangeState
value = 30000
triggerall = Var(59) = 0
triggerall = command = "cross"
triggerall = Power >= 3000
triggerall = Var(51) = 1
triggerall = Var(56) = 0
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = 160

;------------------------------------------------------------------------------
;ボクの名前を言ってみて
[State -1]
type = Null;ChangeState
value = 15000
triggerall = Var(59) = 0
triggerall = command = "ボクの名前を言ってみて"
triggerall = Power >= 3000
triggerall = Statetype != A
triggerall = Var(52) = 1
triggerall = P2BodyDist X <= 30
triggerall = TeamMode = Single || TeamMode = Turns
triggerall = enemy,TeamMode = Single || enemy,TeamMode = Turns
trigger1 = ctrl
trigger2 = Stateno = 160
trigger3 = Stateno = [200,420]
trigger3 = Var(3) = [1,3]
trigger4 = Stateno = [1000,1700]
trigger4 = Var(3) = [1,3]
trigger4 = Pos Y >= 0

;------------------------------------------------------------------------------
;夢想転生
[State -1]
type = ChangeState
value = 10000
triggerall = Var(59) = 0
triggerall = command = "musou"
triggerall = Power >= 3000
triggerall = Var(51) = 1
triggerall = Var(52) = 0
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = 160

;---------------------------------------------------------------------------
;秘孔新血愁
[State -1]
type = ChangeState
value = 14000
triggerall = Var(59) = 0
triggerall = command = "shinketusyu"
triggerall = Power >= 1000
triggerall = Var(52) = 1
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = 160
trigger3 = Stateno = [200,420]
trigger3 = Var(3) = [1,3]
trigger4 = Stateno = [1000,1700]
trigger4 = Var(3) = [1,3]
trigger4 = Pos Y >= 0

;---------------------------------------------------------------------------
;まだまだ読みが甘いよ
[State -1]
type = ChangeState
value = 11500
triggerall = Var(59) = 0
triggerall = command = "musou"
triggerall = Power >= 2000
triggerall = Var(52) = 1
triggerall = Statetype != A
triggerall = NumHelper(11600) = 0
trigger1 = ctrl
trigger2 = Stateno = 160
trigger3 = Stateno = [200,420]
trigger3 = Var(3) = [1,3]
trigger4 = Stateno = [1000,1700]
trigger4 = Var(3) = [1,3]
trigger4 = Pos Y >= 0

;------------------------------------------------------------------------------
;北斗有情断迅拳
[State -1]
type = ChangeState
value = 10500
triggerall = Var(59) = 0
triggerall = command = "ujou"
triggerall = Power >= 3000
triggerall = Var(52) = 1
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = 160
trigger3 = Stateno = [200,420]
trigger3 = Var(3) = [1,3]
trigger4 = Stateno = [1000,1700]
trigger4 = Var(3) = [1,3]
trigger4 = Pos Y >= 0

;---------------------------------------------------------------------------
;断固相殺拳
[State -1]
type = ChangeState
value = 11000
triggerall = Var(59) = 0
triggerall = command = "danko"
triggerall = Power >= 2000
triggerall = Var(52) = 1
triggerall = (NumHelper(11200) = 0 && NumHelper(11300) = 0) || Var(19) >= 2
trigger1 = ctrl
trigger2 = Stateno = 160
trigger3 = Stateno = [200,630]
trigger3 = Var(3) = [1,3]
trigger4 = Stateno = [1000,2200]
trigger4 = Var(3) = [1,3]

;------------------------------------------------------------------------------
;生命の青(地上)
[State -1]
type = ChangeState
value = 12000
triggerall = Var(59) = 0
triggerall = command = "canon"
triggerall = Power >= 1500
triggerall = Var(52) = 1
triggerall = Statetype != A
triggerall = (NumHelper(12500) = 0 && NumHelper(12600) = 0) || Var(19) >= 2
trigger1 = ctrl
trigger2 = Stateno = 160
trigger3 = Stateno = [200,420]
trigger3 = Var(3) = [1,3]
trigger4 = Stateno = [1000,1700]
trigger4 = Var(3) = [1,3]
trigger4 = Pos Y >= 0

;------------------------------------------------------------------------------
;生命の青(空中)
[State -1]
type = ChangeState
value = 12100
triggerall = Var(59) = 0
triggerall = command = "canon"
triggerall = Power >= 1500
triggerall = Var(52) = 1
triggerall = Statetype = A
triggerall = (NumHelper(12500) = 0 && NumHelper(12600) = 0) || Var(19) >= 2
trigger1 = ctrl
trigger2 = Stateno = 160
trigger3 = Stateno = [200,630]
trigger3 = Var(3) = [1,3]
trigger4 = Stateno = [1000,2200]
trigger4 = Var(3) = [1,3]

;---------------------------------------------------------------------------
;転生の見切り
[State -1]
type = ChangeState
value = 13000
triggerall = Var(59) = 0
triggerall = command = "IC"
triggerall = Var(52) = 1
triggerall = Statetype != A
triggerall = Var(42) = 0 || Var(19) >= 2
trigger1 = ctrl
trigger2 = Stateno = 160

;---------------------------------------------------------------------------
;奇跡の詩
[State -1]
type = ChangeState
value = 4500
triggerall = Var(59) = 0
triggerall = command = "kiseki"
triggerall = Statetype != A
triggerall = Power >= 3000
triggerall = (100*Life/Var(54)) <= 33 || Var(53) = 1
trigger1 = Stateno = [200,699]
trigger2 = Stateno < 200 && Ctrl = 1
trigger3 = Stateno = 160 && Var(14) = 1

;---------------------------------------------------------------------------
;ひかりのつばさ(LV3)
[State -1]
type = ChangeState
value = 4200
triggerall = Var(59) = 0
triggerall = command = "hikari_C"
triggerall = Statetype != A
triggerall = Power >= 3000
trigger1 = Ctrl
trigger2 = Stateno = [200,420]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;---------------------------------------------------------------------------
;ひかりのつばさ(LV2)
[State -1]
type = ChangeState
value = 4100
triggerall = Var(59) = 0
triggerall = command = "hikari_B" || ( command = "hikari_C" && Power < 3000)
triggerall = Statetype != A
triggerall = Power >= 2000
trigger1 = Ctrl
trigger2 = Stateno = [200,420]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;---------------------------------------------------------------------------
;ひかりのつばさ(LV1)
[State -1]
type = ChangeState
value = 4000
triggerall = Var(59) = 0
triggerall = command = "hikari_A" || ((command = "hikari_B" || command = "hikari_C") && Power < 2000)
triggerall = Statetype != A
triggerall = Power >= 1000
trigger1 = Ctrl
trigger2 = Stateno = [200,420]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;---------------------------------------------------------------------------
;えいえんのこうりん(LV3)
[State -1]
type = ChangeState
value = 3700
triggerall = Var(59) = 0
triggerall = command = "eien_C"
triggerall = Power >= 3000
trigger1 = Ctrl
trigger2 = Stateno = [200,630]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;---------------------------------------------------------------------------
;えいえんのこうりん(LV2)
[State -1]
type = ChangeState
value = 3600
triggerall = Var(59) = 0
triggerall = command = "eien_B" || ( command = "eien_C" && Power < 3000)
triggerall = Power >= 2000
trigger1 = Ctrl
trigger2 = Stateno = [200,630]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;---------------------------------------------------------------------------
;えいえんのこうりん(LV1)
[State -1]
type = ChangeState
value = 3500
triggerall = Var(59) = 0
triggerall = command = "eien_A" || ((command = "eien_B" || command = "eien_C") && Power < 2000)
triggerall = Power >= 1000
trigger1 = Ctrl
trigger2 = Stateno = [200,630]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;---------------------------------------------------------------------------
;しゃいにんぐるはねぱんち(LV3)
[State -1]
type = ChangeState
value = 3200
triggerall = Var(59) = 0
triggerall = command = "guruhane_C"
triggerall = Statetype != A
triggerall = Power >= 3000
trigger1 = Ctrl
trigger2 = Stateno = [200,420]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;---------------------------------------------------------------------------
;しゃいにんぐるはねぱんち(LV2)
[State -1]
type = ChangeState
value = 3100
triggerall = Var(59) = 0
triggerall = command = "guruhane_B" || ( command = "guruhane_C" && Power < 3000)
triggerall = Statetype != A
triggerall = Power >= 2000
trigger1 = Ctrl
trigger2 = Stateno = [200,420]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;---------------------------------------------------------------------------
;しゃいにんぐるはねぱんち(LV1)
[State -1]
type = ChangeState
value = 3000
triggerall = Var(59) = 0
triggerall = command = "guruhane_A" || ((command = "guruhane_B" || command = "guruhane_C") && Power < 2000)
triggerall = Statetype != A
triggerall = Power >= 1000
trigger1 = Ctrl
trigger2 = Stateno = [200,420]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;たいやき突撃(RF)
[State -1]
type = ChangeState
value = 2200
triggerall = Var(59) = 0
triggerall = command = "taiyaki_C"
triggerall = Var(50) >= 1000 || Var(51) = 1
trigger1 = Ctrl
trigger2 = Stateno = [200,630]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;たいやき突撃(中)
[State -1]
type = ChangeState
value = 2100
triggerall = Var(59) = 0
triggerall = command = "taiyaki_B" || (command = "taiyaki_C" && Var(50) < 1000 && Var(51) = 0)
trigger1 = Ctrl
trigger2 = Stateno = [200,630]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;たいやき突撃(弱)
[State -1]
type = ChangeState
value = 2000
triggerall = Var(59) = 0
triggerall = command = "taiyaki_A"
trigger1 = Ctrl
trigger2 = Stateno = [200,630]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;しゃいにんアロー(空中RF)
[State -1]
type = ChangeState
value = 1800
triggerall = Var(59) = 0
triggerall = command = "arrow_C"
triggerall = Var(50) >= 1000 || Var(51) = 1
triggerall = Statetype = A
trigger1 = Ctrl
trigger2 = Stateno = [600,630]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;しゃいにんアロー(地上RF)
[State -1]
type = ChangeState
value = 1700
triggerall = Var(59) = 0
triggerall = command = "arrow_C"
triggerall = Var(50) >= 1000 || Var(51) = 1
triggerall = Statetype != A
trigger1 = Ctrl
trigger2 = Stateno = [200,420]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;しゃいにんアロー(中)
[State -1]
type = ChangeState
value = 1600
triggerall = Var(59) = 0
triggerall = command = "arrow_B" || (command = "arrow_C" && Var(50) < 1000 && Var(51) = 0)
triggerall = Statetype != L
trigger1 = Ctrl
trigger2 = Stateno = [200,630]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;しゃいにんアロー(弱)
[State -1]
type = ChangeState
value = 1500
triggerall = Var(59) = 0
triggerall = command = "arrow_A"
triggerall = Statetype != L
trigger1 = Ctrl
trigger2 = Stateno = [200,630]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;そこの人どいて〜(RF)
[State -1]
type = ChangeState
value = 1200
triggerall = Var(59) = 0
triggerall = command = "doite_C"
triggerall = Var(50) >= 1000 || Var(51) = 1
triggerall = Statetype != A
trigger1 = Ctrl
trigger2 = Stateno = [200,420]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;そこの人どいて〜(中)
[State -1]
type = ChangeState
value = 1100
triggerall = Var(59) = 0
triggerall = command = "doite_B" || (command = "doite_C" && Var(50) < 1000 && Var(51) = 0)
triggerall = Statetype != A
trigger1 = Ctrl
trigger2 = Stateno = [200,420]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;そこの人どいて〜(弱)
[State -1]
type = ChangeState
value = 1000
triggerall = Var(59) = 0
triggerall = command = "doite_A"
triggerall = Statetype != A
trigger1 = Ctrl
trigger2 = Stateno = [200,420]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;インスタントチャージ(空中)
[State -1]
type = ChangeState
value = 950
triggerall = Var(59) = 0
triggerall = command = "IC"
triggerall = Var(50) >= 1000 || Var(51) = 1
triggerall = Var(3) = [1,3]
triggerall = Pos Y < 0
trigger1 = Stateno = [600,630]
trigger2 = Stateno = [1500,1700]
trigger3 = Stateno = [2000,2100]

;------------------------------------------------------------------------------
;インスタントチャージ(地上)
[State -1]
type = ChangeState
value = 900
triggerall = Var(59) = 0
triggerall = command = "IC"
triggerall = Var(50) >= 1000 || Var(51) = 1
triggerall = Var(3) = [1,3]
triggerall = Pos Y >= 0
trigger1 = Stateno = [200,420]
trigger2 = Stateno = [1000,1300]
trigger3 = Stateno = [1500,1700]

;------------------------------------------------------------------------------
;飛行
[State -1]
type = ChangeState
value = 800
triggerall = Var(59) = 0
triggerall = command = "z"
triggerall = Statetype = A
triggerall = Stateno != 800
trigger1 = ctrl
trigger2 = Stateno = 160
trigger2 = Var(14) = 1

;------------------------------------------------------------------------------
;空中投げ
[State -1]
type = ChangeState
value = 750
triggerall = Var(59) = 0
triggerall = command = "c"
triggerall = command = "holdfwd"
triggerall = Statetype = A
triggerall = P2BodyDist X <= 10
triggerall = P2BodyDist Y = [-30,30]
triggerall = enemy,Movetype != H
trigger1 = ctrl
trigger2 = Stateno = 160
trigger2 = Var(14) = 1

;------------------------------------------------------------------------------
;地上投げ
[State -1]
type = ChangeState
value = 700
triggerall = Var(59) = 0
triggerall = command = "c"
triggerall = command = "holdfwd"
triggerall = Statetype = S
triggerall = P2BodyDist X <= 5
triggerall = P2BodyDist Y = 0
triggerall = enemy,Movetype != H
trigger1 = ctrl
trigger2 = Stateno = 160
trigger2 = Var(14) = 1

;------------------------------------------------------------------------------
;うぐぅぷれす
[State -1]
type = ChangeState
value = 630
triggerall = Var(59) = 0
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = Statetype = A
trigger1 = ctrl
trigger2 = stateno = [600,610]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;強攻撃(空中)
[State -1]
type = ChangeState
value = 620
triggerall = Var(59) = 0
triggerall = command = "c"
triggerall = Statetype = A
trigger1 = ctrl
trigger2 = stateno = [600,610]
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;中攻撃(空中)
[State -1]
type = ChangeState
value = 610
triggerall = Var(59) = 0
triggerall = command = "b"
triggerall = Statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;弱攻撃(空中)
[State -1]
type = ChangeState
value = 600
triggerall = Var(59) = 0
triggerall = command = "a"
triggerall = Statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;強攻撃(しゃがみ)
[State -1]
type = ChangeState
value = 420
triggerall = Var(59) = 0
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = ctrl
trigger2 = stateno = [200,215]
trigger2 = Var(3) = [1,3]
trigger3 = stateno = [400,410]
trigger3 = Var(3) = [1,3]
trigger4 = Stateno = 160
trigger4 = Var(14) = 1

;------------------------------------------------------------------------------
;中攻撃(しゃがみ)
[State -1]
type = ChangeState
value = 410
triggerall = Var(59) = 0
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = ctrl
trigger2 = stateno = [200,210]
trigger2 = Var(3) = [1,3]
trigger3 = stateno = 400
trigger3 = Var(3) = [1,3]
trigger4 = Stateno = 160
trigger4 = Var(14) = 1

;------------------------------------------------------------------------------
;弱攻撃(しゃがみ)
[State -1]
type = ChangeState
value = 400
triggerall = Var(59) = 0
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = ctrl
trigger2 = stateno = 400
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;どっかんはねあっぱー
[State -1]
type = ChangeState
value = 240
triggerall = Var(59) = 0
triggerall = command = "c"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
trigger1 = ctrl
trigger2 = stateno = [200,215]
trigger2 = Var(3) = [1,3]
trigger3 = stateno = 230
trigger3 = Var(3) = [1,3]
trigger4 = stateno = [400,410]
trigger4 = Var(3) = [1,3]
trigger5 = Stateno = 160
trigger5 = Var(14) = 1

;------------------------------------------------------------------------------
;すてっぷきっく
[State -1]
type = ChangeState
value = 230
triggerall = Var(59) = 0
triggerall = command = "b"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
trigger1 = ctrl
trigger2 = stateno = [200,215]
trigger2 = Var(3) = [1,3]
trigger3 = stateno = [400,410]
trigger3 = Var(3) = [1,3]
trigger4 = Stateno = 160
trigger4 = Var(14) = 1

;------------------------------------------------------------------------------
;強攻撃
[State -1]
type = ChangeState
value = 220
triggerall = Var(59) = 0
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = ctrl
trigger2 = stateno = [200,215]
trigger2 = Var(3) = [1,3]
trigger3 = stateno = 230
trigger3 = Var(3) = [1,3]
trigger4 = stateno = [400,410]
trigger4 = Var(3) = [1,3]
trigger5 = Stateno = 160
trigger5 = Var(14) = 1

;------------------------------------------------------------------------------
;中攻撃(遠距離)
[State -1]
type = ChangeState
value = 215
triggerall = Var(59) = 0
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = P2BodyDist X > 35
trigger1 = ctrl
trigger2 = P2BodyDist X > 35
trigger2 = stateno = 200
trigger2 = Var(3) = [1,3]
trigger3 = P2BodyDist X > 35
trigger3 = stateno = 400
trigger3 = Var(3) = [1,3]
trigger4 = stateno = 210
trigger4 = Var(3) = [1,3]
trigger5 = stateno = 410
trigger5 = Var(3) = [1,3]
trigger6 = Stateno = 160
trigger6 = Var(14) = 1

;------------------------------------------------------------------------------
;中攻撃(近距離)
[State -1]
type = ChangeState
value = 210
triggerall = Var(59) = 0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = P2BodyDist X <= 35
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = Var(3) = [1,3]
trigger3 = stateno = 400
trigger3 = Var(3) = [1,3]
trigger4 = Stateno = 160
trigger4 = Var(14) = 1

;------------------------------------------------------------------------------
;弱攻撃
[State -1]
type = ChangeState
value = 200
triggerall = Var(59) = 0
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 160
trigger3 = Var(14) = 1

;------------------------------------------------------------------------------
;ジャンプキャンセル(地上)
[State -1]
type = ChangeState
value = 40
triggerall = Var(59) = 0
triggerall = command = "holdup"
triggerall = command != "holddown"
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = 200 || Stateno = 210 || Stateno = 400
trigger2 = Var(3) = [1,3]
trigger3 = Stateno = 215 || Stateno = 240 || Stateno = 410
trigger3 = Var(3) = 1

;------------------------------------------------------------------------------
;空中ジャンプ
[State -1]
type = ChangeState
value = 46
triggerall = Var(59) = 0
triggerall = command != "holddown"
triggerall = Statetype = A
triggerall = Var(2) = 0
trigger1 = ctrl
trigger1 = Var(5) = 1
trigger1 = Pos Y <= 10
trigger2 = command = "holdup"
trigger2 = Stateno = [600,620]
trigger2 = Var(3) = [1,3]

;------------------------------------------------------------------------------
;ダッシュ
[State -1]
type = ChangeState
value = 100
triggerall = Var(59) = 0
triggerall = command = "FF"
triggerall = Statetype = S
trigger1 = ctrl

;------------------------------------------------------------------------------
;バックダッシュ
[State -1]
type = ChangeState
value = 105
triggerall = Var(59) = 0
triggerall = command = "BB"
triggerall = Statetype = S
trigger1 = ctrl

;------------------------------------------------------------------------------
;空中ダッシュ(前)
[State -1]
type = ChangeState
value = 110
triggerall = Var(59) = 0
triggerall = Statetype = A
triggerall = command = "FF"
triggerall = Var(4) < 2
trigger1 = ctrl
trigger2 = stateno = [600,620]
trigger2 = Var(3) = [1,3]

;------------------------------------------------------------------------------
;空中ダッシュ(後)
[State -1]
type = ChangeState
value = 115
triggerall = Var(59) = 0
triggerall = Statetype = A
triggerall = command = "BB"
triggerall = Var(4) < 2
trigger1 = ctrl
trigger2 = stateno = [600,620]
trigger2 = Var(3) = [1,3]

;------------------------------------------------------------------------------
